<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
      xmlns:am="http://typo3.org/ns/CodingMs/AddressManager/ViewHelpers"
      data-namespace-typo3-fluid="true">
<!-- address_manager: Partials/List/Item/Bootstrap.html [begin] -->

<f:if condition="{useWrapper}">
	<div id="address-{address.uid}" class="address-uid-{address.uid}">
</f:if>

<div class="address-list-item"
     data-map-latitude="{address.mapLatitude}"
     data-map-longitude="{address.mapLongitude}"
     data-map-tooltip="{address.mapTooltip}"
     data-map-link="{address.mapLink}"
     data-map-marker="{am:variable.get(name: 'settings.list.map.marker.style.{address.mapMarker}')}">
	<div class="address-image">
		<f:if condition="{f:count(subject: address.imagesPreviewOnly)}">
			<f:then>
				<f:for each="{address.imagesPreviewOnly}" as="fileReference" iteration="imageIteration">
					<f:if condition="{imageIteration.isFirst}">
						<f:image src="{fileReference.uid}"
								 treatIdAsReference="1"
								 width="{settings.list.image.width}"
								 height="{settings.list.image.height}"
								 alt="{address.name}"
								 title="{address.name}" />
					</f:if>
				</f:for>
			</f:then>
			<f:else>
				<f:image src="{f:uri.resource(path:'Images/no-image.png')}"
						 width="{settings.list.image.width}"
						 height="{settings.list.image.height}"
						 alt="{address.name}"
						 title="{address.name}" />
			</f:else>
		</f:if>
	</div>
	<h4>{address.title} {address.name}</h4>
	<p class="card-text address-groups">{address.groupsString}</p>
	<div class="address-organisations">{address.organisationsString}</div>
	<div class="address-positions">{address.positionsString}</div>
	<div class="address-email"><f:link.email email="{address.email}">Mail</f:link.email></div>
	<f:if condition="{settings.useDetailView}">
		<f:link.action action="show" pageUid="{settings.detail.defaultPid}" arguments="{address: address}"
					   controller="Address" class="btn btn-primary">
			Show
		</f:link.action>
	</f:if>
</div>

<f:if condition="{useWrapper}">
	</div>
</f:if>

<!-- address_manager: Partials/List/Item/Bootstrap.html [end] -->
</html>
